version: '3'

services:
  symfony_app:
    build: .
    container_name: symfony_app
    ports:
      - "80:80"
    environment:
      DATABASE_URL: mysql://root:root@mysql:3306/gesttion_produit
    volumes:
      - ./:/var/www/html:rw
    depends_on:
      - mysql
    networks:
      - symfony_network
  mysql:
    image: mysql:latest
    container_name: symfony_db
    environment:
      MYSQL_DATABASE: gesttion_produit
      MYSQL_USER: user
      MYSQL_PASSWORD: password
      MYSQL_ROOT_PASSWORD: root
    ports:
      - "3306:3306"
    volumes:
      - mysql_data:/var/lib/mysql
    networks:
      - symfony_network
  phpmyadmin:
    image: phpmyadmin/phpmyadmin:latest
    container_name: symfony_phpmyadmin
    environment:
      PMA_HOST: mysql
      PMA_PORT: 3306
      MYSQL_ROOT_PASSWORD: root
    ports:
      - "8080:80"
    depends_on:
      - mysql
    networks:
      - symfony_network
  maildev:
    image: maildev/maildev
    container_name: symfony_maildev
    ports:
      - "1080:1080"
      - "1025:1025"
    environment:
      MAILDEV_SMTP_PORT: 1025
      MAILDEV_WEB_PORT: 1080
    networks:
      - symfony_network

###> doctrine/doctrine-bundle ###
  database:
    image: postgres:${POSTGRES_VERSION:-16}-alpine
    environment:
      POSTGRES_DB: ${POSTGRES_DB:-app}
      # You should definitely change the password in production
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD:-!ChangeMe!}
      POSTGRES_USER: ${POSTGRES_USER:-app}
    healthcheck:
      test: ["CMD", "pg_isready -U ${POSTGRES_USER:-app}"]
      timeout: 5s
      retries: 5
      start_period: 60s
    volumes:
      - database_data:/var/lib/postgresql/data:rw
      # You may use a bind-mounted host directory instead, so that it is harder to accidentally remove the volume and lose all your data!
      # - ./docker/db/data:/var/lib/postgresql/data:rw
###< doctrine/doctrine-bundle ###

networks:
  symfony_network:
    driver: bridge
volumes:
  mysql_data:

###> doctrine/doctrine-bundle ###
  database_data:
###< doctrine/doctrine-bundle ###
